org.springframework.validation

## Enum DefaultMessageCodesResolver.Format

- java.lang.Object
- - java.lang.Enum<DefaultMessageCodesResolver.Format>
  - - org.springframework.validation.DefaultMessageCodesResolver.Format

All Implemented Interfaces:
  Serializable, Comparable<DefaultMessageCodesResolver.Format>, MessageCodeFormatter

Enclosing class:
  DefaultMessageCodesResolver

    public static enum DefaultMessageCodesResolver.Format
    extends Enum<DefaultMessageCodesResolver.Format>
    implements MessageCodeFormatter

Common message code formats.

Since:
  3.2
Author:
  Phillip Webb, Chris Beams
See Also:
  `MessageCodeFormatter`, `DefaultMessageCodesResolver.setMessageCodeFormatter(MessageCodeFormatter)`

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`POSTFIX_ERROR_CODE` Postfix the error code at the end of the generated message code.
`PREFIX_ERROR_CODE` Prefix the error code at the beginning of the generated message code.

### Method Summary

Methods
`static String` `toDelimitedString(String... elements)` Concatenate the given elements, delimiting each with `DefaultMessageCodesResolver.CODE_SEPARATOR`, skipping zero-length or null elements altogether.
`static DefaultMessageCodesResolver.Format` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DefaultMessageCodesResolver.Format[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.springframework.validation.MessageCodeFormatter

`format`

### Enum Constant Detail

#### PREFIX_ERROR_CODE

    public static final DefaultMessageCodesResolver.Format PREFIX_ERROR_CODE

Prefix the error code at the beginning of the generated message code. e.g.: `errorCode + "." + object name + "." + field`

#### POSTFIX_ERROR_CODE

    public static final DefaultMessageCodesResolver.Format POSTFIX_ERROR_CODE

Postfix the error code at the end of the generated message code. e.g.: `object name + "." + field + "." + errorCode`

### Method Detail

#### values

    public static DefaultMessageCodesResolver.Format[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DefaultMessageCodesResolver.Format c : DefaultMessageCodesResolver.Format.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DefaultMessageCodesResolver.Format valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### toDelimitedString

    public static String toDelimitedString(String... elements)

Concatenate the given elements, delimiting each with `DefaultMessageCodesResolver.CODE_SEPARATOR`, skipping zero-length or null elements altogether.